package com.persagy.person.pojo.vo.menu;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasMenuQueryVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件",example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "菜单ID", example = "ME123456789")
	private String menuId; 		// 菜单ID
	
	@ApiModelProperty(value = "菜单类型，0-系统菜单，1-标准业务菜单，2-IBMS菜单，3-APP菜单", example = "0")
	private String menuType; 		// 菜单类型，0-系统菜单，1-标准业务菜单，2-IBMS菜单，3-APP菜单
	
	@ApiModelProperty(value = "是否仅查询出菜单树，true-是，默认false", example = "false")
	private boolean isMenu = false; 	// 是否仅查询出菜单树，true-是，默认false
	
}
